Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155977 - non-void function "constant" should return a value
Summary: non-void function "constant" should return a value
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: newt-perl
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-26 12:37 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.08-10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-12-14 15:16:10 UTC


Attachments (Terms of Use)

Description David Binderman 2005-04-26 12:37:33 UTC
Description of problem:

I just tried to compile newt-perl-1.08-8 from Redhat
Fedora Core development tree with the most excellent Intel C
compiler.

The compiler said

Newt.xs(99): warning #117: non-void function "constant" should return a value

The source code is

            return H_NEWT;

I'm not sure what the fix is for this. 

Maybe H_NEWT is #defined to be blank, and that is what is upsetting
the compiler ?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Joe Orton 2006-12-14 15:16:10 UTC
This is fixed in Raw Hide, thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.